### Constructor

# Shell WM new

#### Declaration [src]

    ShellWM*
    shell_wm_new (
      MetaPlugin* plugin
    )

#### Description [src]

Creates a new window management interface by hooking into `plugin`.

#### Parameters

`plugin`

  Type: `MetaPlugin`

  The `MetaPlugin`.

  The data is owned by the caller of the function.

#### Return value

Type: `ShellWM`

The new window-management interface.

The caller of the function takes ownership of the data, and is responsible for freeing it.